diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/macintosh/via-pmu.c linux-2.5/drivers/macintosh/via-pmu.c
--- bk-linus/drivers/macintosh/via-pmu.c	2002-11-21 02:15:32.000000000 +0000
+++ linux-2.5/drivers/macintosh/via-pmu.c	2002-11-21 17:58:44.000000000 +0000
@@ -2605,7 +2605,7 @@ static int pmu_release(struct inode *ino
 			disable_kernel_backlight--;
 			spin_unlock_irqrestore(&pmu_lock, flags);
 		}
-#endif defined(CONFIG_INPUT_ADBHID) && defined(CONFIG_PMAC_BACKLIGHT)
+#endif /* defined(CONFIG_INPUT_ADBHID) && defined(CONFIG_PMAC_BACKLIGHT) */
 		kfree(pp);
 	}
 	unlock_kernel();
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/cyclades.c linux-2.5/drivers/char/cyclades.c
--- bk-linus/drivers/char/cyclades.c	2002-11-21 02:13:51.000000000 +0000
+++ linux-2.5/drivers/char/cyclades.c	2002-11-21 17:57:38.000000000 +0000
@@ -3434,8 +3434,8 @@ set_line_char(struct cyclades_port * inf
 		}
 #ifdef CY_DEBUG_DTR
 		printk("cyc:set_line_char dropping DTR\n");
-		printk("     status: 0x%x,
-		    0x%x\n", cy_readb(base_addr+(CyMSVR1<<index)),
+		printk("     status: 0x%x, 0x%x\n", 
+		    cy_readb(base_addr+(CyMSVR1<<index)),
 		    cy_readb(base_addr+(CyMSVR2<<index)));
 #endif
 	    }else{
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/net/atm/proc.c linux-2.5/net/atm/proc.c
--- bk-linus/net/atm/proc.c	2002-11-21 02:24:48.000000000 +0000
+++ linux-2.5/net/atm/proc.c	2002-11-21 18:05:26.000000000 +0000
@@ -549,9 +549,12 @@ int atm_proc_dev_register(struct atm_dev
 	digits = 0;
 	for (num = dev->number; num; num /= 10) digits++;
 	if (!digits) digits++;
-	dev->proc_name = kmalloc(strlen(dev->type)+digits+2,GFP_KERNEL);
-	if (!dev->proc_name) goto fail1;
+
+	dev->proc_name = kmalloc(strlen(dev->type) + digits + 2, GFP_ATOMIC);
+	if (!dev->proc_name)
+		goto fail1;
 	sprintf(dev->proc_name,"%s:%d",dev->type, dev->number);
+
 	dev->proc_entry = create_proc_entry(dev->proc_name, 0, atm_proc_root);
 	if (!dev->proc_entry)
 		goto fail0;
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/hotplug/cpqphp_nvram.c linux-2.5/drivers/hotplug/cpqphp_nvram.c
--- bk-linus/drivers/hotplug/cpqphp_nvram.c	2002-11-21 02:14:21.000000000 +0000
+++ linux-2.5/drivers/hotplug/cpqphp_nvram.c	2002-11-21 17:58:05.000000000 +0000
@@ -177,12 +177,12 @@ static u32 access_EV (u16 operation, u8 
 	
 	spin_lock_irqsave(&int15_lock, flags);
 	__asm__ (
-		"xorl   %%ebx,%%ebx
-		xorl    %%edx,%%edx
-		pushf
-		push    %%cs
-		cli
-		call    *%6"
+		"xorl   %%ebx,%%ebx \n"
+		"xorl   %%edx,%%edx \n"
+		"pushf              \n"
+		"push    %%cs       \n"
+		"cli                \n"
+		"call    *%6        \n"
 		: "=c" (*buf_size), "=a" (ret_val)
 		: "a" (op), "c" (*buf_size), "S" (ev_name),
 		"D" (buffer), "m" (compaq_int15_entry_point)
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/rio/riocmd.c linux-2.5/drivers/char/rio/riocmd.c
--- bk-linus/drivers/char/rio/riocmd.c	2002-11-21 02:14:17.000000000 +0000
+++ linux-2.5/drivers/char/rio/riocmd.c	2002-11-21 17:58:01.000000000 +0000
@@ -462,8 +462,8 @@ PKT *PacketP; 
 		rio_dprintk (RIO_DEBUG_CMD, "PACKET information: Length	  0x%x (%d)\n", PacketP->len,PacketP->len );
 		rio_dprintk (RIO_DEBUG_CMD, "PACKET information: Control	 0x%x (%d)\n", PacketP->control, PacketP->control);
 		rio_dprintk (RIO_DEBUG_CMD, "PACKET information: Check	   0x%x (%d)\n", PacketP->csum, PacketP->csum );
-		rio_dprintk (RIO_DEBUG_CMD, "COMMAND information: Host Port Number 0x%x, 
-					Command Code 0x%x\n", PktCmdP->PhbNum, PktCmdP->Command );
+		rio_dprintk (RIO_DEBUG_CMD, "COMMAND information: Host Port Number 0x%x, "
+					"Command Code 0x%x\n", PktCmdP->PhbNum, PktCmdP->Command );
 		return TRUE;
 	}
 
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/media/video/zr36067.c linux-2.5/drivers/media/video/zr36067.c
--- bk-linus/drivers/media/video/zr36067.c	2002-11-21 02:15:47.000000000 +0000
+++ linux-2.5/drivers/media/video/zr36067.c	2002-11-21 17:58:57.000000000 +0000
@@ -1416,7 +1416,7 @@ static int zr36060_reset(struct zoran *z
 		zr36060_sleep(zr, 0);
 		post_office_write(zr, 3, 0, 0);
 		udelay(2);
-	default:
+	default:;
 	}
 	return 0;
 }
